# macop.operators.Operator

Abstract Operator class

Classes

`KindOperator` | Enum in order to recognize kind of operators
`Operator`() | Abstract Operator class which enables to update solution applying operator (computation)

class `macop.operators.Operator.``KindOperator`

  Enum in order to recognize kind of operators

class `macop.operators.Operator.``Operator`

  Abstract Operator class which enables to update solution applying operator (computation)

  abstract `apply`(_solution)

    Apply the current operator transformation

    Parameters

      _solution – {Solution} – Solution instance

  `setAlgo`(_algo)
    Keep into operator reference of the whole algorithm

      The reason is to better manage operator instance

    Parameters

      _algo – {Algorithm} – the algorithm reference runned